import { Container } from "inversify";
import Configuration from "./Configuration";
import Gateway from "./Gateway";
export default abstract class Kernel {
    config: Configuration;
    container: Container;
    private ready;
    constructor(config: Configuration);
    initialize(): Promise<void>;
    addGauge(name: string, help: string, labelNames?: string[]): void;
    gatewaysCall(callback: (gateway: Gateway) => void): void;
}
